Bug 1129232 - [vdsm] adding a rhel7 host to rhevm fails with OSError: [Errno 2] No such file or directory: '/var/run/vdsm/client.log'
Summary: [vdsm] adding a rhel7 host to rhevm fails with OSError: [Errno 2] No such fil...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.1-1
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On:
Blocks: 1125178 1159626
TreeView+ depends on / blocked
 
Reported: 2014-08-12 11:01 UTC by Elad
Modified: 2016-02-10 19:58 UTC (History)
14 users (show)

Fixed In Version: vdsm-4.16.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1159626 (view as bug list)
Environment:
Last Closed: 2015-02-16 13:40:08 UTC
oVirt Team: Network


Attachments (Terms of Use)
logs from engine and host (109.36 KB, application/x-gzip)
2014-08-12 11:01 UTC, Elad
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31656 None None None Never

Description Elad 2014-08-12 11:01:47 UTC
Created attachment 926034 [details]
logs from engine and host

Description of problem:
While testing https://bugzilla.redhat.com/show_bug.cgi?id=1125178 , I tried to add a rhel7 host to my rhevm setup (3.4.2) and installation failed with the following error message in vdsm.log (which is a different issue from 1125178):

Thread-12::ERROR::2014-08-12 12:05:31,698::sampling::453::vds::(run) Error while sampling stats
Traceback (most recent call last):
  File "/usr/share/vdsm/sampling.py", line 435, in run
    sample = self.sample()
  File "/usr/share/vdsm/sampling.py", line 425, in sample
    hs = HostSample(self._pid)
  File "/usr/share/vdsm/sampling.py", line 209, in __init__
    self.timestamp - os.stat(P_VDSM_CLIENT_LOG).st_mtime <
OSError: [Errno 2] No such file or directory: '/var/run/vdsm/client.log'
(END)


Version-Release number of selected component (if applicable):
rhev-3.4.2-av11

host:
Red Hat Enterprise Linux Server release 7.0 (Maipo)
vdsm-4.14.13-1.el7ev.x86_64

engine:
rhevm-3.4.2-0.1.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a DC and cluster in rhevm
2. Attach a rhel7 host to the setup


Actual results:
Host installation fails with the mentioned error in vdsm.log. The failure is reported in engine.log and audit log:

2014-08-12 12:05:26,145 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (VdsDeploy) Correlation ID: 7db12cab, Call Stack: null, Custom Event ID: -1, Message: Failed to install Host gre
en-b. Failed to execute stage 'Closing up': Command '/bin/systemctl' failed to execute.



Expected results:
Host installation should succeed

Additional info:
logs from engine and host

Comment 1 Elad 2014-08-12 11:16:52 UTC
The bug was opened on 3.4.1, but it occurs in 3.4.2. There is no such option.

Comment 2 Yaniv Bronhaim 2014-08-19 23:59:46 UTC
I guess http://gerrit.ovirt.org/#/c/31656/ solves the issue.
correct me if I'm wrong dan. If not, close as dup

Comment 3 Dan Kenigsberg 2014-08-20 09:24:39 UTC
Correct, Yaniv. But we did not have a specific bug on this issue, so let's move to MODIFIED and not declare as DUP.

Comment 5 Doron Fediuck 2014-09-08 07:07:07 UTC
Pushing to 3.4.3 as 3.4.2 already GA'ed.
Please clone as needed.

Comment 6 Eyal Edri 2014-10-01 08:19:59 UTC
this bug wasn't included in the rhev 3.4.3 tracker bug and missed the build date of the build, also wasn't cloned to 3.4.z.
hence moving to 3.4.4.

Comment 10 Michael Burman 2014-11-09 09:04:47 UTC
Verified on - 3.5.0-0.19.beta.el6ev and with vdsm-4.16.7.3-1.el7ev


Note You need to log in before you can comment on or make changes to this bug.